
GammaLib - Action #1860

Rename GFitsTableCol::length() to GFitsTableCol::nrows()

10/03/2016 10:59 AM - Knödlseder Jürgen

Status: Closed Start date: 10/03/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

The method name GFitsTableCol::length() is ambiguous as it is not clear what the length of a column may be. The method should be

renamed to GFitsTableCol::nrows() to make clear that the number of rows in a column is meant.

A better name should also be found for the GFitsTableCol::number() method. In principle the GFitsTableCol::elements() method

should be used, but this method is already used for variable-length columns.

Related issues:

Related to ctools - Bug # 1831: csiactcopy mistakes FITS columns and rows Closed 08/01/2016

History

#1 - 10/03/2016 10:59 AM - Knödlseder Jürgen

- Related to Bug #1831: csiactcopy mistakes FITS columns and rows added

#2 - 06/07/2017 02:22 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.3.0

- % Done changed from 0 to 90

Renamed GFitsTableCol::length() to GFitsTableCol::nrows().

For the moment I have no renamed the GFitsTableCol::number() method since it's not obvious what a good name for this method should be.

#3 - 06/07/2017 02:28 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Merged into devel.
